summaryrefslogtreecommitdiff
path: root/makedist.sh
diff options
context:
space:
mode:
authorSebastien Helleu <flashcode@flashtux.org>2012-12-14 19:01:07 +0100
committerSebastien Helleu <flashcode@flashtux.org>2012-12-14 19:01:07 +0100
commit857fb35dcb1ac30ad3be409f054429b346be1627 (patch)
treee9474bc625de8d52b47f430e1c50483635d6b315 /makedist.sh
parent70ad2795eac61a9119acd8b33863ba0534887fa2 (diff)
downloadweechat-857fb35dcb1ac30ad3be409f054429b346be1627.zip
core: fix cmake target "dist": build tarballs using git-archive and not cvs
Diffstat (limited to 'makedist.sh')
-rwxr-xr-xmakedist.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/makedist.sh b/makedist.sh
new file mode 100755
index 000000000..4cb84e0fe
--- /dev/null
+++ b/makedist.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# Copyright (C) 2003-2012 Sebastien Helleu <flashcode@flashtux.org>
+#
+# This file is part of WeeChat, the extensible chat client.
+#
+# WeeChat is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# WeeChat is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with WeeChat. If not, see <http://www.gnu.org/licenses/>.
+#
+
+#
+# Build tarballs (.tar.gz and .tar.bz2) for WeeChat using git-archive.
+#
+# Syntax:
+# makedist.sh <version> <tree-ish>
+#
+# version : WeeChat version, for example 0.3.9 or 0.4.0-dev
+# tree-ish: git tree-ish (optional, defaults to HEAD), example: v0.3.9
+#
+
+if [ $# -eq 0 ]; then
+ echo "Syntax: $0 <version> <tree-ish>"
+ exit 1
+fi
+
+VERSION=$1
+TREEISH="HEAD"
+if [ $# -gt 1 ]; then
+ TREEISH=$2
+fi
+
+PREFIX="weechat-${VERSION}/"
+FILE="weechat-${VERSION}.tar"
+
+echo "Building file ${FILE}.bz2"
+git archive --prefix=${PREFIX} ${TREEISH} | bzip2 -c >${FILE}.bz2
+
+echo "Building file ${FILE}.gz"
+git archive --prefix=${PREFIX} ${TREEISH} | gzip -c >${FILE}.gz